﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGrid_Demo
{
   public class ViewModel:INotifyPropertyChanged
    {     
        private ObservableCollection<OrderInfo> _orderList;
        public ObservableCollection<OrderInfo> OrderList
        {
            get
            {
                return _orderList;
            }
            set
            {
                _orderList = value;
                RaisePropertyChanged("OrderList");
            }
        }
       public ViewModel()
        {
            _orderList = new ObservableCollection<OrderInfo>();
            for (int i = 0; i <=20; i++)
            {
                _orderList.Add(new OrderInfo() { ProductName = "Dove", NoOfOrders = 10, OrderDate = new DateTime(2015, 5, 1),ShippedDate = new DateTime(2015, 5, 1), CountryName = "Austria", ShipCity="Chennai"});
                _orderList.Add(new OrderInfo() { ProductName = "NuNuCa Nuß-Nougat-Creme", NoOfOrders = 20, OrderDate = new DateTime(2015, 5, 2), ShippedDate = new DateTime(2015, 5, 2), CountryName = "Japan", ShipCity = "Chennai"});
                _orderList.Add(new OrderInfo() { ProductName = "NuNuCa Nuß-Nougat-Creme", NoOfOrders = 50, OrderDate = new DateTime(2015, 5, 20), CountryName = "Argentina", ShippedDate = new DateTime(2015, 5, 3), ShipCity = "Chennai"});
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;
        public void RaisePropertyChanged(string propName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
    }
}
